﻿function ModemStatusViewModel()
{
    var self = this;

    self.Page = ko.observable(0);
    self.Count = ko.observable(50);
    self.TotalCount = ko.observable(0);
    self.Entries = ko.observableArray();
    self.DataLoaded = ko.observable();
    self.isBusy = ko.observable(false);

    var dataLoaded = new CustomEvent("dataLoaded",{});

    var loadData = function (count, page)
    {
        self.isBusy(true);
        var url = "/api/modem/signalstrength?count=" + count + "&page=" + page;
        $.ajax(
        {
            url: url,
            dataType: "json",
            success: function (data) {
                self.TotalCount(data.TotalCount);
                self.Entries(data.Entries);
                self.DataLoaded()(data.Entries);
            },
            complete: function (x, s) { self.isBusy(false); }
        });
    }
    
    self.getStatus = function ()
    {        
        loadData(self.Count(), self.Page());
    }
        
    //Load a single record, just to get the total count
    loadData(1, 0);
    
}