﻿function NavigationViewModel()
{
    var self = this;
    
    function TranslateSignalValue(value)
    {
        if (value < 2)
        {
            return 0;
        }
        else if (value >= 2 && value < 10)
        {
            return 1;
        }
        else if (value >= 10 && value < 15)
        {
            return 2;
        }
        else if (value >= 15 && value < 20)
        {
            return 3;
        }
        else
        {
            return 4;
        }
    }

    self.ModemSignalStrength = ko.observable(0);

    self.MappedModemSignalStrength = ko.computed(function () {
        return TranslateSignalValue(self.ModemSignalStrength());        
    });

    self.getSignalStrength = function ()
    {
        var url = "/api/modem/signalstrength?count=1";
        $.get(url, function (data) {
            $.get(url + "&page=" + data.TotalCount, function (data) {
                self.ModemSignalStrength(data.Entries[0].Value);
            });
        });
    }
}