﻿function StatusViewModel()
{
    var self = this;

    self.UndeliveredEMails = ko.observable();
    self.EMailsInProgress = ko.observable();
    self.DeliveredEMails = ko.observable();
    self.FailedEMails = ko.observable();
    self.UndeliveredSms = ko.observable();
    self.SmsInProgress = ko.observable();
    self.DeliveredSms = ko.observable();
    self.FailedSms = ko.observable();
    self.isBusy = ko.observable(false);

    this.getStatus = function () {
        self.isBusy(true);
        $.ajax(
        {
            url: "/api/status",
            dataType: "json",
            success: function (data) {
                self.UndeliveredEMails(data.UndeliveredEMails);
                self.EMailsInProgress(data.EMailsInProgress);
                self.DeliveredEMails(data.DeliveredEMails);
                self.FailedEMails(data.FailedEMails);
                self.UndeliveredSms(data.UndeliveredSms);
                self.SmsInProgress(data.SmsInProgress);
                self.DeliveredSms(data.DeliveredSms);
                self.FailedSms(data.FailedSms);
            },
            complete: function (x, s) { self.isBusy(false); }
        });
    }
}